package de.dhbwstuttgart.languageServerInterface.model;

public class ParserError {

    private int line;
    private int charPositionInLine;
    private int endCharPosition;
    String msg;

    public ParserError(int line, int charPositionInLine, int endCharPosition, String msg) {
        this.line = line;
        this.charPositionInLine = charPositionInLine;
        this. endCharPosition = endCharPosition;
        this.msg = msg;
    }

    public int getEndCharPosition() {
        return endCharPosition;
    }

    public void setEndCharPosition(int endCharPosition) {
        this.endCharPosition = endCharPosition;
    }

    public void setCharPositionInLine(int charPositionInLine) {
        this.charPositionInLine = charPositionInLine;
    }

    public void setLine(int line) {
        this.line = line;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public int getCharPositionInLine() {
        return charPositionInLine;
    }

    public int getLine() {
        return line;
    }

    public String getMsg() {
        return msg;
    }
}
